ubuntu-location-service: core::dbus::Codec< com::ubuntu::location::SpaceVehicle > Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Static Public Member Functions | List of all members
core::dbus::Codec< com::ubuntu::location::SpaceVehicle > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< com::ubuntu::location::SpaceVehicle >:

## Static Public Member Functions
static void | encode_argument (Message::Writer &writer, const com::ubuntu::location::SpaceVehicle &in)
static void | decode_argument (Message::Reader &reader, com::ubuntu::location::SpaceVehicle &in)

## Detailed Description

Definition at line 272 of file codec.h.

## Member Function Documentation

## ◆ decode_argument()

static void core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::decode_argument | ( | Message::Reader & | reader,
|  | com::ubuntu::location::SpaceVehicle & | in
| ) |  |
| inlinestatic

Definition at line 289 of file codec.h.

References com::ubuntu::location::SpaceVehicle::azimuth, core::dbus::Codec< com::ubuntu::location::SpaceVehicle::Key >::decode_argument(), com::ubuntu::location::SpaceVehicle::elevation, com::ubuntu::location::SpaceVehicle::has_almanac_data, com::ubuntu::location::SpaceVehicle::has_ephimeris_data, com::ubuntu::location::SpaceVehicle::key, com::ubuntu::location::SpaceVehicle::snr, and com::ubuntu::location::SpaceVehicle::used_in_fix.

Referenced by core::dbus::Codec< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >::decode_argument().

Here is the call graph for this function:

## ◆ encode_argument()

static void core::dbus::Codec< com::ubuntu::location::SpaceVehicle >::encode_argument | ( | Message::Writer & | writer,
|  | const com::ubuntu::location::SpaceVehicle & | in
| ) |  |
| inlinestatic

Definition at line 274 of file codec.h.

References com::ubuntu::location::SpaceVehicle::azimuth, com::ubuntu::location::SpaceVehicle::elevation, core::dbus::Codec< com::ubuntu::location::SpaceVehicle::Key >::encode_argument(), com::ubuntu::location::SpaceVehicle::has_almanac_data, com::ubuntu::location::SpaceVehicle::has_ephimeris_data, com::ubuntu::location::SpaceVehicle::key, com::ubuntu::location::SpaceVehicle::snr, and com::ubuntu::location::SpaceVehicle::used_in_fix.

Referenced by core::dbus::Codec< std::map< com::ubuntu::location::SpaceVehicle::Key, com::ubuntu::location::SpaceVehicle > >::encode_argument().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/codec.h